Please update to 1.16.0 for bionic

Bug #1735493 reported by Tuomas Jormola on 2017-11-30
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
sssd (Ubuntu)
High
Andreas Hasenack

Bug Description

It would be nice to have the latest upstream branch in the next Ubuntu LTS.

tags: added: upgrade-software-version

AFAIK andreas will take a look, assigning him for now.
(please feel free to change if I mis-expected the current plan of action on sssd).

Changed in sssd (Ubuntu):
assignee: nobody → Andreas Hasenack (ahasenack)
Timo Aaltonen (tjaalton) wrote :

I'll update it in Debian.

Changed in sssd (Ubuntu):
status: New → Triaged
importance: Undecided → High
tags: added: server-next
Andreas Hasenack (ahasenack) wrote :

sssd (1.16.0-3) unstable; urgency=medium

  * Install responder service and socket files again.

 -- Timo Aaltonen Thu, 04 Jan 2018 09:55:41 +0200

sssd (1.16.0-2) unstable; urgency=medium

  * Enable default config. (Closes: #858968)
  * Enable files domain.

 -- Timo Aaltonen Mon, 25 Dec 2017 21:38:26 +0200

sssd (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * sysdb-sanitize-search-filter-input.diff: Dropped, upstream.
  * sssd-common.install: Add sssd-session-recording.5.
  * control: Depend on python3 pkgs by default. (Closes: #883178)

 -- Timo Aaltonen Wed, 20 Dec 2017 11:58:50 +0200

Changed in sssd (Ubuntu):
status: Triaged → In Progress
Timo Aaltonen (tjaalton) wrote :

don't rebase to -3, the socket thing and files domain will be dropped in -4

Ok

On Jan 11, 2018 07:20, "Timo Aaltonen" <email address hidden> wrote:

> don't rebase to -3, the socket thing and files domain will be dropped in
> -4
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1735493
>
> Title:
> Please update to 1.16.0 for bionic
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/sssd/+bug/1735493/+subscriptions
>

Jim Campbell (jwcampbell) wrote :

I'm looking forward to some fixes that will arrive in SSSD 1.16.1, and am hopeful that it will be released in time to be included in Bionic.

1) I know that the Debian sync deadline for 18.04 is March 1st. If 1.16.1 is released prior to that, is it likely that 1.16.1 could be included in the initial 18.04 release?

2) If we can only get 1.16.0 into the initial 18.04 release, would the 1.16.1 point release qualify for an SRU? If so, I would be willing to assist with that SRU process.

3) If SSSD 1.16.1 would be eligible for an SRU, approximately how long would that process take before such an upgrade makes its way to Ubuntu?

Thanks very much for any info on this, and for your work in packaging the software.

Andreas Hasenack (ahasenack) wrote :

@tjaalton, do you have an ETA to have -4 uploaded to debian? I'd like to get 1.16.0 into bionic as soon as possible, even if I have to rebase soon after that.

Timo Aaltonen (tjaalton) wrote :

sorry for the delay, 1.16.0-5 is now in sid and should be a good candidate for merging to bionic

Andreas Hasenack (ahasenack) wrote :

Thanks a lot

On Jan 26, 2018 8:30 AM, "Timo Aaltonen" <email address hidden> wrote:

> sorry for the delay, 1.16.0-5 is now in sid and should be a good
> candidate for merging to bionic
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1735493
>
> Title:
> Please update to 1.16.0 for bionic
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/sssd/+bug/1735493/+subscriptions
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sssd - 1.16.0-5ubuntu1

---------------
sssd (1.16.0-5ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable (LP: #1735493). Remaining changes:
    - Build without the secrets service as libhttp-parser2.1 is in universe
    - d/p/restart_providers_on_timeshift.patch: Use SIGUSR2 after watchdog
      detects time shift to execute pending scheduled tasks that could
      be stuck (LP 1641875)
      [refreshed with what was committed upstream in the end]
    - d/sssd-common.maintscript: rm_conffile for upstart drop

sssd (1.16.0-5) unstable; urgency=medium

  * rules: Disable files domain, it's not useful in Debian. (Closes:
    #888207)

sssd (1.16.0-4) unstable; urgency=medium

  * Revert installing responder service/socket files again.
    (Closes: #886483)

sssd (1.16.0-3) unstable; urgency=medium

  * Install responder service and socket files again.

sssd (1.16.0-2) unstable; urgency=medium

  * Enable default config. (Closes: #858968)
  * Enable files domain.

sssd (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * sysdb-sanitize-search-filter-input.diff: Dropped, upstream.
  * sssd-common.install: Add sssd-session-recording.5.
  * control: Depend on python3 pkgs by default. (Closes: #883178)

 -- Andreas Hasenack <email address hidden> Fri, 26 Jan 2018 17:46:39 -0200

Changed in sssd (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers